### Class

# EvinceView JobPageData

#### Description

    class EvinceView.JobPageData : EvinceView.Job {
      parent: EvJob,
      page: gint,
      flags: EvJobPageDataFlags,
      link_mapping: EvMappingList*,
      image_mapping: EvMappingList*,
      form_field_mapping: EvMappingList*,
      annot_mapping: EvMappingList*,
      media_mapping: EvMappingList*,
      text_mapping: cairo_region_t*,
      text: gchar*,
      text_layout: EvRectangle*,
      text_layout_length: guint,
      text_attrs: PangoAttrList*,
      text_log_attrs: PangoLogAttr*,
      text_log_attrs_length: gulong
    }

No description available.

#### Ancestors

- EvJob
- GObject

#### Constructors

###### ev_job_page_data_new

No description available.

#### Instance methods

##### Methods inherited from EvJob (11)

###### ev_job_cancel

No description available.

###### ev_job_failed

No description available.

###### ev_job_failed_from_error

No description available.

###### ev_job_get_run_mode

No description available.

###### ev_job_is_failed

No description available.

###### ev_job_is_finished

No description available.

###### ev_job_run

No description available.

###### ev_job_scheduler_push_job

No description available.

###### ev_job_scheduler_update_job

No description available.

###### ev_job_set_run_mode

No description available.

###### ev_job_succeeded

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from EvJob (2)

###### EvJob::cancelled

No description available.

###### EvJob::finished

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EvinceViewJobPageDataClass {
      EvJobClass parent_class;

    }

No description available.

###### Class members

`parent_class: EvJobClass`
  No description available.